curl --request GET \
--url https://dev.api.mufi.app/v1/products/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.api.mufi.app/v1/products/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.api.mufi.app/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "admission",
"name": "<string>",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"start_date": 123,
"end_date": 123,
"location": "<string>",
"address": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_id": "<string>",
"description": "<string>"
},
"description": "<string>",
"price": "<string>",
"active": true,
"is_claimable": true,
"is_transferable": true,
"stock": 2,
"redemption_quantity": 2,
"max_per_account": 2,
"min_rep_balance": 1,
"metadata_uri": "<string>",
"mint_nft": true,
"chain": "WestendAssetHub",
"max_items": 2
}{
"errors": [
"<string>"
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Get Product
Fetch a single product by ID for the project.
Authorizations
A JWT Access Token obtained from Google Cloud.
Path Parameters
The product ID.
Response
The product record.
admission, presale, perks The name of the product.
1 - 255The ID of the event that the product is associated with. Leave blank for a general product that lives longer than an event.
The ID of the product.
The date and time the product was created.
The date and time the product was last updated.
Show child attributes
Show child attributes
The description of the product.
1 - 255The price of the product as a decimal string (e.g. "9.99"). Defaults to "0".
Whether the product is active and available. Defaults to true.
Whether the product can be claimed via a direct URL. Defaults to false.
Whether product items can be transferred between users. Defaults to false.
Total stock available. Null or omit for unlimited stock.
x >= 1How many times a single product item can be redeemed. Defaults to 1.
x >= 1Maximum number of items a single user can hold. Null or omit for unlimited.
x >= 1Minimum reputation balance required to receive this product. Defaults to 0.
x >= 0The URL of the metadata for the asset containing name, image, description fields. Required if mint_nft is true.
512Whether to mint an NFT when a user receives a product item. If true, the metadata_uri must be provided.
The chain to mint the NFT on. Required if mint_nft is true.
WestendAssetHub, AssetHub The maximum number of items that can be in the asset collection. Leave blank for an unlimited number of items.
x >= 1